Title
Unused term "default argument promotions"
Status
dr
Section
7.6.1.3 [expr.call]
Submitter
US

Created on 2022-11-03.00:00:00 last changed 1 week ago

Messages

Date: 2022-11-12.03:37:02

Proposed resolution (approved by CWG and LWG 2022-11-11):

Change in 17.13.2 [cstdarg.syn] as follows:

The contents of the header <cstdarg> are the same as the C standard library header <stdarg.h>, with the following changes: In lieu of the default argument promotions specified in ISO C 6.5.2.2, the definition in 7.6.1.3 [expr.call] applies. The restrictions that ISO C places on the second parameter to the va_start macro in header <stdarg.h> are different in this document. ...
Date: 2022-11-12.03:37:02

CWG 2022-11-10

The phrase is useful and needed to override C's deviating definition, as applicable to va_arg.

Date: 2022-11-27.21:00:25
P2720R0 comment USĀ 15-044

[Accepted as a DR at the November, 2022 meeting.]

The phrase "default argument promotions" is apparently unused.

Possible resolution [SUPERSEDED]:

  1. Change in 7.6.1.3 [expr.call] paragraph 12 as follows:

    ...If the argument has integral or enumeration type that is subject to the integral promotions (7.3.7 [conv.prom]), or a floating-point type that is subject to the floating-point promotion (7.3.8 [conv.fpprom]), the value of the argument is converted to the promoted type before the call. These promotions are referred to as the default argument promotions.
  2. Change in 17.13.2 [cstdarg.syn] as follows:

    See also: ISO C 7.16.1.1 7.16.1

History
Date User Action Args
2022-11-25 05:14:04adminsetstatus: nb -> dr
2022-11-12 03:37:02adminsetstatus: review -> nb
2022-11-12 03:37:02adminsetmessages: + msg7025
2022-11-12 03:37:02adminsetstatus: review -> review
2022-11-12 03:37:02adminsetstatus: review -> review
2022-11-12 03:37:02adminsetmessages: + msg7003
2022-11-12 03:37:02adminsetstatus: review -> review
2022-11-11 18:46:12adminsetstatus: nb -> review
2022-11-11 18:46:12adminsetstatus: nb -> nb
2022-11-11 18:46:12adminsetstatus: nb -> nb
2022-11-11 18:46:12adminsetstatus: nb -> nb
2022-11-08 07:11:55adminsetstatus: open -> nb
2022-11-08 07:11:55adminsetstatus: open -> open
2022-11-08 07:11:55adminsetstatus: open -> open
2022-11-08 07:11:55adminsetstatus: open -> open
2022-11-07 14:37:39adminsetstatus: nb -> open
2022-11-07 14:37:39adminsetstatus: nb -> nb
2022-11-07 14:37:39adminsetstatus: nb -> nb
2022-11-03 00:00:00admincreate